/*
 * $Id: Parameters_msg_error.cpp 116 2009-04-30 13:51:41Z moulu $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Generic/Multiplier/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace multiplier {


#undef  FUNCTION
#define FUNCTION "Multiplier::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_begin(Multiplier,FUNCTION);

    Parameters_test test ("Multiplier");

    if ((_size_data < 2) or (_size_data > 64))
      test.error(toString(_("size_data (%d) 's valid range is 2 to 64.\n"),_size_data));

    if (_delay > 1)
      test.error(toString(_("delay must be set at 1\n")));

    if (_latency > 32)
      test.error(toString(_("latency's valid range is 0 to 32\n")));

    log_end(Multiplier,FUNCTION);

    return test;
  };

}; // end namespace multiplier
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
